Summary:        D-Bus interfaces for querying and manipulating user account information
Name:           accountsservice
Version:        23.13.9
Release:        3%{?dist}
License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/
Source0:        http://www.freedesktop.org/software/accountsservice/accountsservice-%{version}.tar.xz
 
BuildRequires:  gettext-devel pkgconfig(dbus-1) polkit-devel
BuildRequires:  systemd systemd-devel
BuildRequires:  glib2-devel gobject-introspection-devel
BuildRequires:  git meson vala
 
Requires:       polkit
Requires:       shadow-utils
%{?systemd_requires}
 
%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.
 
%package libs
Summary: Client-side library to talk to accountsservice
Requires: accountsservice = %{version}-%{release}
 
%description libs
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.
 
%package devel
Summary: Development files for accountsservice-libs
Requires: accountsservice-libs = %{version}-%{release}
 
%description devel
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.
 
 
%prep
%autosetup -S git
 
%build
%meson -Dadmin_group=wheel
%meson_build
%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/accountsservice/interfaces/
 
%find_lang accounts-service
 
%post
%systemd_post accounts-daemon.service
 
%preun
%systemd_preun accounts-daemon.service
 
%postun
%systemd_postun accounts-daemon.service
 
%files -f accounts-service.lang
%license COPYING
%doc README.md AUTHORS
%{_libexecdir}/accounts-daemon
%dir %{_datadir}/accountsservice/
%dir %{_datadir}/accountsservice/interfaces/
%{_datadir}/accountsservice/user-templates/
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users/
%dir %{_localstatedir}/lib/AccountsService/icons/
%{_unitdir}/accounts-daemon.service
 
%files libs
%{_libdir}/libaccountsservice.so.*
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib
 
%files devel
%{_includedir}/accountsservice-1.0
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/AccountsService-1.0.gir
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/accountsservice.*
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.13.9-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.13.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 wynnfeng <wynnfeng@tencent.com> - 23.13.9-1
- upgrade to 23.13.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.08.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.08.8-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Feng Weiyao <wynnfeng@tencent.com> - 22.08.8-1
- package init.
